/*
Theme Name:     Kadence Child Theme
Theme URI:      https://niftycode.tech/
Template:       kadence
Author:         Qasim Sardar
Author URI:     https://niftycode.tech/
Description:    Kadence Theme is a lightweight yet full featured WordPress theme for creating beautiful fast loading and accessible websites, easier than ever. It features an easy to use drag and drop header and footer builder to build any type of header in minutes. It features a full library of gorgeous starter templates that are easy to modify with our intelligent global font and color controls. With extensive integration with the most popular 3rd party plugins, you can quickly build impressive ecommerce websites, course websites, business websites, and more.
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/
html,body{
	overflow-x:hidden !important;
}
/* Coming Soon Start */
.coming-soon{
	height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* Coming Soon End */
.mobile-toggle-open-container .menu-toggle-open:hover, .mobile-toggle-open-container .menu-toggle-open:focus-visible {
    color: #3b3434 !important;
}

.home-products-container .wc-block-grid__products, ul.products.content-wrap.product-archive.grid-cols.grid-ss-col-2.grid-sm-col-3.grid-md-col-4.grid-lg-col-5.woo-archive-action-on-hover.woo-archive-btn-button.woo-archive-loop.woo-archive-image-hover-none {
    gap: 1.5rem !important;
}
.home-products-container .wc-block-grid__product-title, h2.woocommerce-loop-product__title a.woocommerce-LoopProduct-link-title.woocommerce-loop-product__title_ink{
	    font-size: 14px !important;
    line-height: 150%;
}
.home-products-container a.wp-block-button__link.add_to_cart_button, a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart, a.button.product_type_simple,a.button.product_type_variable{
	font-size:14px !important;
}

/* Footer Bootom Menu */
.footer-widget-area-inner.site-info-inner a {
    color: white;
    opacity: .5;
}
.footer-widget-area-inner.site-info-inner a:hover{
	color:white;
	opacity:1;
}

.footer-widget-area.widget-area.site-footer-focus-item.footer-widget5.content-align-left * {
    color: white !important;
    line-height: 120%;
    opacity: 0.8;
    margin: 7px;
}
.site-footer-row-container-inner .site-middle-footer-inner-wrap{
	padding-top:0;
}

/* Single Product Archive */
fieldset#pa_strength *, fieldset#pa_flavor * {
    border-radius: 5px;
}
label.kt_disabled {
    display: none;
}
fieldset#pa_strength label.kt_disabled{
	    display: flex !important;
    flex-direction: column;
    opacity: 1;
}
ul.wc-block-grid__products li{
	border:1px solid #00000017 !important;
	border-radius:10px !important;
}
/* Homepage Styling */
ul.is-product-collection-layout-carousel.wc-block-product-template.wp-block-woocommerce-product-template.is-horizontal.is-content-justification-left.is-nowrap {
    padding-left: 0;
	gap:20px;
}
.wp-block-kadence-advancedgallery .kt-blocks-carousel .splide__arrow--next {
    right: 15px;
}
.wp-block-kadence-advancedgallery .kt-blocks-carousel .splide__arrow--prev{
	left:15px;
}
/* Loop Grid */
ul.kb-query-grid-wrap.products li .kb-query-item-flip-back{
	display:none;
}
ul.kb-query-grid-wrap.products li{
		display: flex;
    flex-direction: column;
    justify-content: space-between;
}
ul.kb-query-grid-wrap.products img{
	border-radius:10px;
}
@media(max-width:600px){
	.kb-advanced-slide-inner-wrap{
		padding:0 !important;
	}
	.kt-blocks-info-box-link-wrap.kt-blocks-info-box-media-align-left.kt-info-halign-left{
		text-align:center !important;
	}
	ul#splide03-list .wp-block-kadence-testimonial{
		padding:20px;
	}
	.wp-block-group.is-content-justification-right.is-nowrap.is-layout-flex.wp-container-core-group-is-layout-4b1d2ccc.wp-block-group-is-layout-flex{
		display:none;
	}
}
.wp-block-group.is-content-justification-right.is-nowrap.is-layout-flex svg{
	padding:0 !important;
}
@media(max-width:600px){
	.hero-product-slider{
		display:none !important;
	}
}
@media(min-width:600px){
	.hero-product-slider-for-mobile{
		display:none !important;
	}
}

/* Footer */
a.button.product_type_variable {
    text-transform: capitalize !important;
}
section#text-3 .textwidget p{
	margin-bottom:0 !important;
}
.footer-html.inner-link-style-normal {
    margin: 0 !important;
}
section#block-12,section#block-14 {
    margin-bottom: 10px;
}
section#block-12 h4,section#block-14 h4{
color:white !important;
	font-size:17px;
	text-transform:uppercase
}
section#block-10 p.has-text-align-left {
    font-size: 13px;
}
@media(max-width:600px){
	.footer-widget-area-inner.site-info-inner{
		margin:0;
	}
}

/* Shop Archive */
ul.products.content-wrap.product-archive li{
	border:1px solid #00000017
}
button.wc-block-product-filter-checkbox-list__show-more {
    background: var(--global-palette-btn-bg);
    padding: 10px 20px;
    font-size: 14px;
    text-decoration: none;
}
span.wc-block-product-filter-checkbox-list__text-wrapper{
	line-height:20px;
	overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}
span.onsale{
	color:black !important;
}
a.button.product_type_simple{
	text-transform: capitalize !important;
}
.woocommerce ul.products li.product .entry-content-wrap{
	padding:0.5rem 0.5rem 1rem
}
@media(max-width:600px){
	a.woocommerce-LoopProduct-link-title.woocommerce-loop-product__title_ink {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
	.site-header-main-section-center.site-header-section.site-header-section-center .header-mobile-search-bar.header-item-search-bar {
    display: none;
}
}
@media(min-width:600px){
	
}
.kadence-breadcrumb-container * {
    text-decoration: none !important;
}
.single-product-extras ul{
	display: grid;
    grid-template-columns: 1fr 1fr;
}
/* Tab Hide */
li#tab-title-additional_information,li#tab-title-reviews {
    display: none !important;
}
/* Pricing */
.summary.entry-summary p.price * {
    font-size: 24px;
}
/* Variations */
.kad_radio_variations label{
	    border: 1px solid #ddd !important;
    border-radius: 360px !important;
    padding: 6px 20px !important;
    font-size: 14px !important;
    background: #f3f3f3 !important;
}
.kad_radio_variations label.selectedValue {
    color: #301673 !important;
    border: 3px solid #301673 !important;
}
.woocommerce-variation-availability p.stock.in-stock{
	color:black !important
}
div#tab-description h2{
	display:none;
}
input#woocommerce-product-search-field-0{
	border-radius:360px;
	padding-left:20px;
}
.quantity.spinners-added{
	border-radius:360px;
	height:50px;
}
.quantity.spinners-added *{
	height:100% !important
}
form.cart button{
	    font-size: 16px !important;
    height: 50px !important;
    line-height: 100% !important;
}
@media(max-width:600px){
	.woocommerce div.product form.cart .woocommerce-variation-add-to-cart{
    width: 100% !important;
    position: fixed !important;
    bottom: 0px;
    left: 0;
    margin-bottom: 0 !important;
    background: white !important;
    z-index: 99999;
    padding: 15px;
    margin-right: -20px;
    box-shadow: 0 -4px 12px rgba(0, 0, 0, .15);
	}
	.woocommerce div.product form.cart {
    margin-bottom: 0 !important;
}
	.single-product-extras ul li {
    font-size: 13px;
}
	fieldset.single-product-payments.payments-color-scheme-inherit legend{
		    font-size: 18px !important;
    padding: 0 !important;
	}
	a.added_to_cart.wc-forward{
		display:none;
	}
}
ul.tabs.wc-tabs{
	padding:0 !important;
}
ul.tabs.wc-tabs li{
	margin: 0 !important;
    width: 100% !important;
    border: 0 !important;
    background: var(--global-palette-btn-bg) !important;
	color:white !important;
	   border-radius: 360px !important;
    padding: 5px 20px !important;
}
ul.tabs.wc-tabs li a{
	color:white !important;
}
.product-details.content-bg.entry-content-wrap{
	padding: 10px 15px 15px 15px !important;
}
p.stock.in-stock{
	color:black !important;
}
span.woocommerce-Price-amount.amount{
	font-weight:600 !important;
}
.woocommerce.widget_shopping_cart .cart_list li a.remove, .woocommerce .widget_shopping_cart .cart_list li a.remove{
	font-size:25px;
}
li.woocommerce-mini-cart-item.mini_cart_item a{
text-decoration: none !important;
    line-height: 130%;
    font-size: 13px;
}
ul#menu-store-login li a {
    font-size: 14px !important;
    font-weight: 400;
}
p.woocommerce-mini-cart__buttons.buttons a{
	background: var(--global-palette-btn-bg) !important;
    color: white !important;
    font-size: 16px;
    padding: 10px;
}
/* Mega Menu */
.header-navigation .header-menu-container ul ul.sub-menu, .header-navigation .header-menu-container ul ul.submenu {
    box-shadow: none !important;
}
.new-arrivals-mega-menu ul, .shop-mega-menu ul, .kratom-mega-menu ul, .brands-mega-menu ul{
	list-style-type:none !important;
	margin:0 !important;
}
/* Header */
.site-header-inner-wrap{
	border-bottom:1px solid #2d3e504d;
}

/* Cart */
a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained{
	border-radius:360px;
	font-size:14px;
}
a.wc-block-components-product-name {
    text-decoration: none !important;
}

/* checkout */
button.wc-block-components-button.wp-element-button.wc-block-components-checkout-place-order-button.contained {
    font-size: 14px;
    padding: 14px 30%;
}
a.wc-block-components-checkout-return-to-cart-button{
	color:black !important;
}
.wc-block-checkout__terms.wc-block-checkout__terms--with-separator.wp-block-woocommerce-checkout-terms-block a {
    color: var(--global-palette-btn-bg);
}
.kadence-mini-cart-shipping-progress-wrap .kadence-mini-cart-shipping-progress{
	background:var(--global-palette-btn-bg) !important;
}

a.wp-block-button__link{
	    height: 40px !important;
    font-size: 14px !important;
    line-height: 100% !important;
}








/* Header menu */
.current_page_item a {
    color: var(--global-palette-btn-bg) !important;
}
.site-main-header-wrap .site-header-row-container-inner{
	border-bottom:0
}
@media(max-width:770px){
	.site-header-bottom-section-center.site-header-section.site-header-section-center{
		padding-left:20px;
		padding-right:20px;
	}
	.site-header-bottom-section-center.site-header-section.site-header-section-center>div, .site-header-bottom-section-center.site-header-section.site-header-section-center>div>div,.site-header-bottom-section-center.site-header-section.site-header-section-center>div>div>form{
		width:100%;
		max-width:100%;
	}
	.site-header-bottom-section-center.site-header-section.site-header-section-center form input{
		padding-left:20px;
		border-radius:360px
	}
	.drawer-content.mobile-drawer-content.content-align-left.content-valign-top{
		    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
	}
}
















body
{
  padding: 0;
  margin: 0;
}

@keyframes marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-20%);
  }
}

.custom-marquee {
  display: flex;
  overflow: hidden;
 
}

.custom-marquee div {
	display: flex;
	align-items: center;
}

.marquee-content {
  display: flex;
  animation: marquee 20s linear infinite;
  gap: 60px;
	white-space: nowrap;
}

.marquee-content span {
  display: flex;
  align-items: center;
  gap: 10px;
  white-space: nowrap;
}

.marquee-content img {
  width: 25px;
	height:25px;
	margin-right: 10px;
}


/* Category Content Css */
.category-content, .term-description {
	padding-top: 5rem;
}

.category-content h1,
.category-content h2,
.category-content h3,
.category-content h4,
.category-content h5,
.category-content h6,
.term-description h1,
.term-description h2,
.term-description h3,
.term-description h4,
.term-description h5,
.term-description h6,{	
	margin-bottom: 15px;
}

.category-content h1,
.term-description h1 {
	margin-top: 35px;
}

.category-content p,
.term-description p {
	margin-bottom: 15px;
}

.category-content a,
.term-description a {
	text-decoration: underline;
	color: #301673 !important;
}

@media only screen and (max-width: 767px) {
  .custom-marquee {
    padding-top: 15px;
    padding-bottom: 15px;
  }

  .marquee-content span {
    font-size: 16px;
  }

  .marquee-content img {
    width: 26px;
  }
}
.marquee-content img {
filter: invert(1);
}






@media(max-width:600px){
	:where(.wc-block-product-filters) .wc-block-product-filters__overlay-dialog{
		transform: translateY(0vh) !important;
	}
}